package com.pj.project.tb_favorite_contacts;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_favorite_contacts -- 常用联系人
 * @author lbl
 */
@RestController
@RequestMapping("/TbFavoriteContacts/")
public class TbFavoriteContactsController {

	/** 底层 Service 对象 */
	@Autowired
	TbFavoriteContactsService tbFavoriteContactsService;

	/** 增 */
	@RequestMapping("add")
	@SaCheckPermission(TbFavoriteContacts.PERMISSION_CODE_ADD)
	public AjaxJson add(TbFavoriteContacts t){
		tbFavoriteContactsService.add(t);
		t = tbFavoriteContactsService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */
	@RequestMapping("delete")
	@SaCheckPermission(TbFavoriteContacts.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbFavoriteContactsService.delete(id);
		return AjaxJson.getSuccess();
	}

	/** 删 - 根据id列表 */
	@RequestMapping("deleteByIds")
	@SaCheckPermission(TbFavoriteContacts.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class);
		int line = SP.publicMapper.deleteByIds(TbFavoriteContacts.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}

	/** 改 */
	@RequestMapping("update")
	@SaCheckPermission(TbFavoriteContacts.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbFavoriteContacts t){
		tbFavoriteContactsService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */
	@RequestMapping("getById")
		@SaCheckPermission(TbFavoriteContacts.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		TbFavoriteContacts t = tbFavoriteContactsService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	@RequestMapping("getList")
		@SaCheckPermission(TbFavoriteContacts.PERMISSION_CODE)
	public AjaxJson getList() {
		SoMap so = SoMap.getRequestSoMap();
		so.set("deleteStatus", 1);
		List<TbFavoriteContacts> list = tbFavoriteContactsService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}









}
